/*
CRM API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package crmapi

import (
	"encoding/json"
)

// checks if the PostIntegrationsGiganetzAddSignature200Response type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &PostIntegrationsGiganetzAddSignature200Response{}

// PostIntegrationsGiganetzAddSignature200Response struct for PostIntegrationsGiganetzAddSignature200Response
type PostIntegrationsGiganetzAddSignature200Response struct {
	MissingSignatures *int32 `json:"missing_signatures,omitempty"`
}

// NewPostIntegrationsGiganetzAddSignature200Response instantiates a new PostIntegrationsGiganetzAddSignature200Response object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewPostIntegrationsGiganetzAddSignature200Response() *PostIntegrationsGiganetzAddSignature200Response {
	this := PostIntegrationsGiganetzAddSignature200Response{}
	return &this
}

// NewPostIntegrationsGiganetzAddSignature200ResponseWithDefaults instantiates a new PostIntegrationsGiganetzAddSignature200Response object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewPostIntegrationsGiganetzAddSignature200ResponseWithDefaults() *PostIntegrationsGiganetzAddSignature200Response {
	this := PostIntegrationsGiganetzAddSignature200Response{}
	return &this
}

// GetMissingSignatures returns the MissingSignatures field value if set, zero value otherwise.
func (o *PostIntegrationsGiganetzAddSignature200Response) GetMissingSignatures() int32 {
	if o == nil || IsNil(o.MissingSignatures) {
		var ret int32
		return ret
	}
	return *o.MissingSignatures
}

// GetMissingSignaturesOk returns a tuple with the MissingSignatures field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *PostIntegrationsGiganetzAddSignature200Response) GetMissingSignaturesOk() (*int32, bool) {
	if o == nil || IsNil(o.MissingSignatures) {
		return nil, false
	}
	return o.MissingSignatures, true
}

// HasMissingSignatures returns a boolean if a field has been set.
func (o *PostIntegrationsGiganetzAddSignature200Response) HasMissingSignatures() bool {
	if o != nil && !IsNil(o.MissingSignatures) {
		return true
	}

	return false
}

// SetMissingSignatures gets a reference to the given int32 and assigns it to the MissingSignatures field.
func (o *PostIntegrationsGiganetzAddSignature200Response) SetMissingSignatures(v int32) {
	o.MissingSignatures = &v
}

func (o PostIntegrationsGiganetzAddSignature200Response) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o PostIntegrationsGiganetzAddSignature200Response) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.MissingSignatures) {
		toSerialize["missing_signatures"] = o.MissingSignatures
	}
	return toSerialize, nil
}

type NullablePostIntegrationsGiganetzAddSignature200Response struct {
	value *PostIntegrationsGiganetzAddSignature200Response
	isSet bool
}

func (v NullablePostIntegrationsGiganetzAddSignature200Response) Get() *PostIntegrationsGiganetzAddSignature200Response {
	return v.value
}

func (v *NullablePostIntegrationsGiganetzAddSignature200Response) Set(val *PostIntegrationsGiganetzAddSignature200Response) {
	v.value = val
	v.isSet = true
}

func (v NullablePostIntegrationsGiganetzAddSignature200Response) IsSet() bool {
	return v.isSet
}

func (v *NullablePostIntegrationsGiganetzAddSignature200Response) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullablePostIntegrationsGiganetzAddSignature200Response(val *PostIntegrationsGiganetzAddSignature200Response) *NullablePostIntegrationsGiganetzAddSignature200Response {
	return &NullablePostIntegrationsGiganetzAddSignature200Response{value: val, isSet: true}
}

func (v NullablePostIntegrationsGiganetzAddSignature200Response) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullablePostIntegrationsGiganetzAddSignature200Response) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


